Logo AND Algorithmique Numérique Distribuée

Public GIT Repository
fd4b8592b43eddc0a2b528a77c5297bd88baa543
[simgrid.git] / examples / msg / Makefile.in
1 # Makefile.in generated by automake 1.9.6 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Makefile chunk which allows to display the files which should be included
18 # into the distribution.
19
20 # It is intended to be included in all Makefile.am 
21 srcdir = @srcdir@
22 top_srcdir = @top_srcdir@
23 VPATH = @srcdir@
24 pkgdatadir = $(datadir)/@PACKAGE@
25 pkglibdir = $(libdir)/@PACKAGE@
26 pkgincludedir = $(includedir)/@PACKAGE@
27 top_builddir = ../..
28 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
29 INSTALL = @INSTALL@
30 install_sh_DATA = $(install_sh) -c -m 644
31 install_sh_PROGRAM = $(install_sh) -c
32 install_sh_SCRIPT = $(install_sh) -c
33 INSTALL_HEADER = $(INSTALL_DATA)
34 transform = $(program_transform_name)
35 NORMAL_INSTALL = :
36 PRE_INSTALL = :
37 POST_INSTALL = :
38 NORMAL_UNINSTALL = :
39 PRE_UNINSTALL = :
40 POST_UNINSTALL = :
41 build_triplet = @build@
42 host_triplet = @host@
43 target_triplet = @target@
44 check_PROGRAMS = msg_test$(EXEEXT) msg_test_surfxml_bypassed$(EXEEXT) \
45         msg_test_suspend$(EXEEXT) ping_pong$(EXEEXT)
46 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
47         $(srcdir)/run_msg_test.in $(top_srcdir)/acmacro/dist-files.mk
48 subdir = examples/msg
49 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
50 am__aclocal_m4_deps = $(top_srcdir)/acmacro/ac_func_snprintf.m4 \
51         $(top_srcdir)/acmacro/compiler-flags.m4 \
52         $(top_srcdir)/acmacro/context.m4 \
53         $(top_srcdir)/acmacro/fancy_configury.m4 \
54         $(top_srcdir)/acmacro/flex.m4 \
55         $(top_srcdir)/acmacro/gras_arch.m4 \
56         $(top_srcdir)/acmacro/print_null.m4 \
57         $(top_srcdir)/acmacro/va_copy.m4 $(top_srcdir)/configure.ac
58 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
59         $(ACLOCAL_M4)
60 mkinstalldirs = $(install_sh) -d
61 CONFIG_HEADER = $(top_builddir)/src/gras_config.h
62 CONFIG_CLEAN_FILES = run_msg_test
63 am_msg_test_OBJECTS = msg_test.$(OBJEXT)
64 msg_test_OBJECTS = $(am_msg_test_OBJECTS)
65 msg_test_DEPENDENCIES = $(top_builddir)/src/libsimgrid.la
66 am_msg_test_surfxml_bypassed_OBJECTS =  \
67         msg_test_surfxml_bypassed.$(OBJEXT)
68 msg_test_surfxml_bypassed_OBJECTS =  \
69         $(am_msg_test_surfxml_bypassed_OBJECTS)
70 msg_test_surfxml_bypassed_DEPENDENCIES =  \
71         $(top_builddir)/src/libsimgrid.la
72 am_msg_test_suspend_OBJECTS = msg_test_suspend.$(OBJEXT)
73 msg_test_suspend_OBJECTS = $(am_msg_test_suspend_OBJECTS)
74 msg_test_suspend_DEPENDENCIES = $(top_builddir)/src/libsimgrid.la
75 am_ping_pong_OBJECTS = ping_pong.$(OBJEXT)
76 ping_pong_OBJECTS = $(am_ping_pong_OBJECTS)
77 ping_pong_DEPENDENCIES = $(top_builddir)/src/libsimgrid.la
78 DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)/src
79 depcomp = $(SHELL) $(top_srcdir)/depcomp
80 am__depfiles_maybe = depfiles
81 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
82         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
83 LTCOMPILE = $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) \
84         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
85         $(AM_CFLAGS) $(CFLAGS)
86 CCLD = $(CC)
87 LINK = $(LIBTOOL) --tag=CC --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
88         $(AM_LDFLAGS) $(LDFLAGS) -o $@
89 SOURCES = $(msg_test_SOURCES) $(msg_test_surfxml_bypassed_SOURCES) \
90         $(msg_test_suspend_SOURCES) $(ping_pong_SOURCES)
91 DIST_SOURCES = $(msg_test_SOURCES) \
92         $(msg_test_surfxml_bypassed_SOURCES) \
93         $(msg_test_suspend_SOURCES) $(ping_pong_SOURCES)
94 ETAGS = etags
95 CTAGS = ctags
96 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
97 ACLOCAL = @ACLOCAL@
98 ADDR2LINE = @ADDR2LINE@
99 AMDEP_FALSE = @AMDEP_FALSE@
100 AMDEP_TRUE = @AMDEP_TRUE@
101 AMTAR = @AMTAR@
102 AR = @AR@
103 AS = @AS@
104 AUTOCONF = @AUTOCONF@
105 AUTOHEADER = @AUTOHEADER@
106 AUTOMAKE = @AUTOMAKE@
107 AWK = @AWK@
108 BASH = @BASH@
109 CC = @CC@
110 CCDEPMODE = @CCDEPMODE@
111 CFLAGS = @CFLAGS@
112 CPP = @CPP@
113 CPPFLAGS = @CPPFLAGS@
114 CXX = @CXX@
115 CXXCPP = @CXXCPP@
116 CXXDEPMODE = @CXXDEPMODE@
117 CXXFLAGS = @CXXFLAGS@
118 CYGPATH_W = @CYGPATH_W@
119 DEFS = @DEFS@
120 DEPDIR = @DEPDIR@
121 DLLTOOL = @DLLTOOL@
122 DOXYGEN = @DOXYGEN@
123 ECHO = @ECHO@
124 ECHO_C = @ECHO_C@
125 ECHO_N = @ECHO_N@
126 ECHO_T = @ECHO_T@
127 EGREP = @EGREP@
128 EXEEXT = @EXEEXT@
129 F77 = @F77@
130 FFLAGS = @FFLAGS@
131 FLEXML = @FLEXML@
132 GRAMINE_MODE_FALSE = @GRAMINE_MODE_FALSE@
133 GRAMINE_MODE_TRUE = @GRAMINE_MODE_TRUE@
134 GRAS_DEP = @GRAS_DEP@
135 GREP = @GREP@
136 HAVE_FLEXML_FALSE = @HAVE_FLEXML_FALSE@
137 HAVE_FLEXML_TRUE = @HAVE_FLEXML_TRUE@
138 HAVE_SDP_FALSE = @HAVE_SDP_FALSE@
139 HAVE_SDP_TRUE = @HAVE_SDP_TRUE@
140 INSTALL_DATA = @INSTALL_DATA@
141 INSTALL_PROGRAM = @INSTALL_PROGRAM@
142 INSTALL_SCRIPT = @INSTALL_SCRIPT@
143 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
144 LDFLAGS = @LDFLAGS@
145 LD_DYNAMIC_FLAGS = @LD_DYNAMIC_FLAGS@
146 LEX = @LEX@
147 LEXLIB = @LEXLIB@
148 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
149 LIBOBJS = @LIBOBJS@
150 LIBS = @LIBS@
151 LIBTOOL = @LIBTOOL@
152 LN_S = @LN_S@
153 LTLIBOBJS = @LTLIBOBJS@
154 MAINT = @MAINT@
155 MAINTAINER_MODE_FALSE = @MAINTAINER_MODE_FALSE@
156 MAINTAINER_MODE_TRUE = @MAINTAINER_MODE_TRUE@
157 MAKEINFO = @MAKEINFO@
158 MD5SUM = @MD5SUM@
159 OBJDUMP = @OBJDUMP@
160 OBJEXT = @OBJEXT@
161 PACKAGE = @PACKAGE@
162 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
163 PACKAGE_NAME = @PACKAGE_NAME@
164 PACKAGE_STRING = @PACKAGE_STRING@
165 PACKAGE_TARNAME = @PACKAGE_TARNAME@
166 PACKAGE_VERSION = @PACKAGE_VERSION@
167 PATH_SEPARATOR = @PATH_SEPARATOR@
168 PTH_STACK_GROWTH = @PTH_STACK_GROWTH@
169 RANLIB = @RANLIB@
170 SET_MAKE = @SET_MAKE@
171 SHELL = @SHELL@
172 SIMGRID_DEP = @SIMGRID_DEP@
173 STRIP = @STRIP@
174 VERSION = @VERSION@
175 WARNING = @WARNING@
176 abs_builddir = @abs_builddir@
177 abs_srcdir = @abs_srcdir@
178 abs_top_builddir = @abs_top_builddir@
179 abs_top_srcdir = @abs_top_srcdir@
180 ac_configure_args = @ac_configure_args@
181 ac_ct_CC = @ac_ct_CC@
182 ac_ct_CXX = @ac_ct_CXX@
183 ac_ct_F77 = @ac_ct_F77@
184 am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
185 am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
186 am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@
187 am__fastdepCXX_TRUE = @am__fastdepCXX_TRUE@
188 am__include = @am__include@
189 am__leading_dot = @am__leading_dot@
190 am__quote = @am__quote@
191 am__tar = @am__tar@
192 am__untar = @am__untar@
193 bindir = @bindir@
194 build = @build@
195 build_alias = @build_alias@
196 build_cpu = @build_cpu@
197 build_id = @build_id@
198 build_os = @build_os@
199 build_vendor = @build_vendor@
200 datadir = @datadir@
201 datarootdir = @datarootdir@
202 docdir = @docdir@
203 dvidir = @dvidir@
204 exec_prefix = @exec_prefix@
205 host = @host@
206 host_alias = @host_alias@
207 host_cpu = @host_cpu@
208 host_os = @host_os@
209 host_vendor = @host_vendor@
210 htmldir = @htmldir@
211 includedir = @includedir@
212 infodir = @infodir@
213 install_sh = @install_sh@
214 libdir = @libdir@
215 libexecdir = @libexecdir@
216 localedir = @localedir@
217 localstatedir = @localstatedir@
218 mandir = @mandir@
219 mkdir_p = @mkdir_p@
220 oldincludedir = @oldincludedir@
221 pdfdir = @pdfdir@
222 prefix = @prefix@
223 program_transform_name = @program_transform_name@
224 psdir = @psdir@
225 pth_skaddr_makecontext = @pth_skaddr_makecontext@
226 pth_sksize_makecontext = @pth_sksize_makecontext@
227 sbindir = @sbindir@
228 sharedstatedir = @sharedstatedir@
229 sysconfdir = @sysconfdir@
230 target = @target@
231 target_alias = @target_alias@
232 target_cpu = @target_cpu@
233 target_os = @target_os@
234 target_vendor = @target_vendor@
235 INCLUDES = -I$(top_srcdir)/include
236 AM_CFLAGS = -g
237 EXTRA_DIST = msg_deployment.xml msg_platform.xml small_platform.xml small_deployment.xml msg_deployment_suspend.xml
238 CLEANFILES = msg_test.trace
239 TESTS = run_msg_test
240 msg_test_SOURCES = msg_test.c
241 msg_test_LDADD = $(top_builddir)/src/libsimgrid.la
242 msg_test_surfxml_bypassed_SOURCES = msg_test_surfxml_bypassed.c
243 msg_test_surfxml_bypassed_LDADD = $(top_builddir)/src/libsimgrid.la
244 msg_test_suspend_SOURCES = msg_test_suspend.c
245 msg_test_suspend_LDADD = $(top_builddir)/src/libsimgrid.la
246 ping_pong_SOURCES = ping_pong.c
247 ping_pong_LDADD = $(top_builddir)/src/libsimgrid.la
248 all: all-am
249
250 .SUFFIXES:
251 .SUFFIXES: .c .lo .o .obj
252 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/acmacro/dist-files.mk $(am__configure_deps)
253         @for dep in $?; do \
254           case '$(am__configure_deps)' in \
255             *$$dep*) \
256               cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
257                 && exit 0; \
258               exit 1;; \
259           esac; \
260         done; \
261         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  examples/msg/Makefile'; \
262         cd $(top_srcdir) && \
263           $(AUTOMAKE) --gnu  examples/msg/Makefile
264 .PRECIOUS: Makefile
265 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
266         @case '$?' in \
267           *config.status*) \
268             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
269           *) \
270             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
271             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
272         esac;
273
274 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
275         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
276
277 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
278         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
279 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
280         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
281 run_msg_test: $(top_builddir)/config.status $(srcdir)/run_msg_test.in
282         cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
283
284 clean-checkPROGRAMS:
285         @list='$(check_PROGRAMS)'; for p in $$list; do \
286           f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
287           echo " rm -f $$p $$f"; \
288           rm -f $$p $$f ; \
289         done
290 msg_test$(EXEEXT): $(msg_test_OBJECTS) $(msg_test_DEPENDENCIES) 
291         @rm -f msg_test$(EXEEXT)
292         $(LINK) $(msg_test_LDFLAGS) $(msg_test_OBJECTS) $(msg_test_LDADD) $(LIBS)
293 msg_test_surfxml_bypassed$(EXEEXT): $(msg_test_surfxml_bypassed_OBJECTS) $(msg_test_surfxml_bypassed_DEPENDENCIES) 
294         @rm -f msg_test_surfxml_bypassed$(EXEEXT)
295         $(LINK) $(msg_test_surfxml_bypassed_LDFLAGS) $(msg_test_surfxml_bypassed_OBJECTS) $(msg_test_surfxml_bypassed_LDADD) $(LIBS)
296 msg_test_suspend$(EXEEXT): $(msg_test_suspend_OBJECTS) $(msg_test_suspend_DEPENDENCIES) 
297         @rm -f msg_test_suspend$(EXEEXT)
298         $(LINK) $(msg_test_suspend_LDFLAGS) $(msg_test_suspend_OBJECTS) $(msg_test_suspend_LDADD) $(LIBS)
299 ping_pong$(EXEEXT): $(ping_pong_OBJECTS) $(ping_pong_DEPENDENCIES) 
300         @rm -f ping_pong$(EXEEXT)
301         $(LINK) $(ping_pong_LDFLAGS) $(ping_pong_OBJECTS) $(ping_pong_LDADD) $(LIBS)
302
303 mostlyclean-compile:
304         -rm -f *.$(OBJEXT)
305
306 distclean-compile:
307         -rm -f *.tab.c
308
309 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/msg_test.Po@am__quote@
310 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/msg_test_surfxml_bypassed.Po@am__quote@
311 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/msg_test_suspend.Po@am__quote@
312 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ping_pong.Po@am__quote@
313
314 .c.o:
315 @am__fastdepCC_TRUE@    if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
316 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
317 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
318 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
319 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
320
321 .c.obj:
322 @am__fastdepCC_TRUE@    if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
323 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
324 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
325 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
326 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
327
328 .c.lo:
329 @am__fastdepCC_TRUE@    if $(LTCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
330 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
331 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
332 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
333 @am__fastdepCC_FALSE@   $(LTCOMPILE) -c -o $@ $<
334
335 mostlyclean-libtool:
336         -rm -f *.lo
337
338 clean-libtool:
339         -rm -rf .libs _libs
340
341 distclean-libtool:
342         -rm -f libtool
343 uninstall-info-am:
344
345 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
346         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
347         unique=`for i in $$list; do \
348             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
349           done | \
350           $(AWK) '    { files[$$0] = 1; } \
351                END { for (i in files) print i; }'`; \
352         mkid -fID $$unique
353 tags: TAGS
354
355 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
356                 $(TAGS_FILES) $(LISP)
357         tags=; \
358         here=`pwd`; \
359         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
360         unique=`for i in $$list; do \
361             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
362           done | \
363           $(AWK) '    { files[$$0] = 1; } \
364                END { for (i in files) print i; }'`; \
365         if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
366           test -n "$$unique" || unique=$$empty_fix; \
367           $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
368             $$tags $$unique; \
369         fi
370 ctags: CTAGS
371 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
372                 $(TAGS_FILES) $(LISP)
373         tags=; \
374         here=`pwd`; \
375         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
376         unique=`for i in $$list; do \
377             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
378           done | \
379           $(AWK) '    { files[$$0] = 1; } \
380                END { for (i in files) print i; }'`; \
381         test -z "$(CTAGS_ARGS)$$tags$$unique" \
382           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
383              $$tags $$unique
384
385 GTAGS:
386         here=`$(am__cd) $(top_builddir) && pwd` \
387           && cd $(top_srcdir) \
388           && gtags -i $(GTAGS_ARGS) $$here
389
390 distclean-tags:
391         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
392
393 check-TESTS: $(TESTS)
394         @failed=0; all=0; xfail=0; xpass=0; skip=0; \
395         srcdir=$(srcdir); export srcdir; \
396         list='$(TESTS)'; \
397         if test -n "$$list"; then \
398           for tst in $$list; do \
399             if test -f ./$$tst; then dir=./; \
400             elif test -f $$tst; then dir=; \
401             else dir="$(srcdir)/"; fi; \
402             if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
403               all=`expr $$all + 1`; \
404               case " $(XFAIL_TESTS) " in \
405               *" $$tst "*) \
406                 xpass=`expr $$xpass + 1`; \
407                 failed=`expr $$failed + 1`; \
408                 echo "XPASS: $$tst"; \
409               ;; \
410               *) \
411                 echo "PASS: $$tst"; \
412               ;; \
413               esac; \
414             elif test $$? -ne 77; then \
415               all=`expr $$all + 1`; \
416               case " $(XFAIL_TESTS) " in \
417               *" $$tst "*) \
418                 xfail=`expr $$xfail + 1`; \
419                 echo "XFAIL: $$tst"; \
420               ;; \
421               *) \
422                 failed=`expr $$failed + 1`; \
423                 echo "FAIL: $$tst"; \
424               ;; \
425               esac; \
426             else \
427               skip=`expr $$skip + 1`; \
428               echo "SKIP: $$tst"; \
429             fi; \
430           done; \
431           if test "$$failed" -eq 0; then \
432             if test "$$xfail" -eq 0; then \
433               banner="All $$all tests passed"; \
434             else \
435               banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
436             fi; \
437           else \
438             if test "$$xpass" -eq 0; then \
439               banner="$$failed of $$all tests failed"; \
440             else \
441               banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
442             fi; \
443           fi; \
444           dashes="$$banner"; \
445           skipped=""; \
446           if test "$$skip" -ne 0; then \
447             skipped="($$skip tests were not run)"; \
448             test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
449               dashes="$$skipped"; \
450           fi; \
451           report=""; \
452           if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
453             report="Please report to $(PACKAGE_BUGREPORT)"; \
454             test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
455               dashes="$$report"; \
456           fi; \
457           dashes=`echo "$$dashes" | sed s/./=/g`; \
458           echo "$$dashes"; \
459           echo "$$banner"; \
460           test -z "$$skipped" || echo "$$skipped"; \
461           test -z "$$report" || echo "$$report"; \
462           echo "$$dashes"; \
463           test "$$failed" -eq 0; \
464         else :; fi
465
466 distdir: $(DISTFILES)
467         $(mkdir_p) $(distdir)/../../acmacro
468         @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
469         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
470         list='$(DISTFILES)'; for file in $$list; do \
471           case $$file in \
472             $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
473             $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
474           esac; \
475           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
476           dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
477           if test "$$dir" != "$$file" && test "$$dir" != "."; then \
478             dir="/$$dir"; \
479             $(mkdir_p) "$(distdir)$$dir"; \
480           else \
481             dir=''; \
482           fi; \
483           if test -d $$d/$$file; then \
484             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
485               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
486             fi; \
487             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
488           else \
489             test -f $(distdir)/$$file \
490             || cp -p $$d/$$file $(distdir)/$$file \
491             || exit 1; \
492           fi; \
493         done
494 check-am: all-am
495         $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
496         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
497 check: check-am
498 all-am: Makefile
499 installdirs:
500 install: install-am
501 install-exec: install-exec-am
502 install-data: install-data-am
503 uninstall: uninstall-am
504
505 install-am: all-am
506         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
507
508 installcheck: installcheck-am
509 install-strip:
510         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
511           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
512           `test -z '$(STRIP)' || \
513             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
514 mostlyclean-generic:
515
516 clean-generic:
517         -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
518
519 distclean-generic:
520         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
521
522 maintainer-clean-generic:
523         @echo "This command is intended for maintainers to use"
524         @echo "it deletes files that may require special tools to rebuild."
525 clean: clean-am
526
527 clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
528         mostlyclean-am
529
530 distclean: distclean-am
531         -rm -rf ./$(DEPDIR)
532         -rm -f Makefile
533 distclean-am: clean-am distclean-compile distclean-generic \
534         distclean-libtool distclean-tags
535
536 dvi: dvi-am
537
538 dvi-am:
539
540 html: html-am
541
542 info: info-am
543
544 info-am:
545
546 install-data-am:
547
548 install-exec-am:
549
550 install-info: install-info-am
551
552 install-man:
553
554 installcheck-am:
555
556 maintainer-clean: maintainer-clean-am
557         -rm -rf ./$(DEPDIR)
558         -rm -f Makefile
559 maintainer-clean-am: distclean-am maintainer-clean-generic
560
561 mostlyclean: mostlyclean-am
562
563 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
564         mostlyclean-libtool
565
566 pdf: pdf-am
567
568 pdf-am:
569
570 ps: ps-am
571
572 ps-am:
573
574 uninstall-am: uninstall-info-am
575
576 .PHONY: CTAGS GTAGS all all-am check check-TESTS check-am clean \
577         clean-checkPROGRAMS clean-generic clean-libtool ctags \
578         distclean distclean-compile distclean-generic \
579         distclean-libtool distclean-tags distdir dvi dvi-am html \
580         html-am info info-am install install-am install-data \
581         install-data-am install-exec install-exec-am install-info \
582         install-info-am install-man install-strip installcheck \
583         installcheck-am installdirs maintainer-clean \
584         maintainer-clean-generic mostlyclean mostlyclean-compile \
585         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
586         tags uninstall uninstall-am uninstall-info-am
587
588
589 dist-files:
590         @for n in $(DISTFILES) ; do echo $(SRCFILE)$$n; done
591         @echo
592         @for n in $(DIST_SUBDIRS) ; do if [ x$$n != x. ] ; then $(MAKE) -C $$n dist-files SRCFILE=$(SRCFILE)$$n/ ; fi; done
593 # Tell versions [3.59,3.63) of GNU make to not export all variables.
594 # Otherwise a system limit (for SysV at least) may be exceeded.
595 .NOEXPORT: